#! /bin/bash
### BEGIN INIT INFO
# Provides:          homebridge.sh
# Required-Start:    $all
# Required-Stop:     
# Default-Start:     2 3 4 5
# Default-Stop:      0 1 6
# Short-Description: Manage my cool stuff
### END INIT INFO

PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin:/opt/bin
 
case "$1" in
  start)
    echo "Starting HomeBridge"
    su -c “/usr/bin/forever start /usr/local/lib/node_modules/homebridge/bin/homebridge" pi
    exit 0
    ;;
  stop)
    echo "Stopping Homebridge"
    su -c “/usr/bin/forever stop /usr/local/lib/node_modules/homebridge/bin/homebridge" pi    
    exit 0
    ;;
  restart)
    echo "Restarting Homebridge"
    su -c “/usr/bin/forever restart /usr/local/lib/node_modules/homebridge/bin/homebridge" pi    
    exit 0
    ;;
  *)
    echo "Usage: /etc/init.d/homebridge.sh {start|stop}"
    exit 1
    ;;
esac
